Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problem nach ati migration auf freien treiber (solved)
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Tue Apr 20, 2010 7:42 am    Post subject: problem nach ati migration auf freien treiber (solved) Reply with quote

hallo,

nach dem update von xorg 1.6 auf xorg 1.7 musste ich auch von fglrx auf xf86-video-ati umstellen.

ich habe dazu diese anleitung befolgt:
http://www.gentoo.org/proj/en/desktop/x/x11/ati-migration-guide.xml

nun gibt es diverse probleme:

es treten grafikprobleme auf:
- die grafik des mauszeigers ist 'defekt' (unter dem pfeil ist immer ein waagerechter strich zu sehen)
- beim xfce4-contextmenu werden die eintraege teilweise nicht angezeigt (erst wenn sich die maus auf einem eintrag befindet wird er dargestellt)

das naechste problem ist DRI:
glxinfo zeigt mir 'direct rendering: yes' an

aber glxgears zeigt mir nur das an:
Code:

drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.


und dmesg das:
Code:

[drm] Initialized drm 1.1.0 20060810
[drm] Initialized radeon 1.31.0 20080528 for 0000:01:00.0 on minor 0
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
[drm] Setting GART location based on new memory map
[drm] Loading RV710 PFP Microcode
[drm] Loading RV710 CP Microcode
[drm] Resetting GPU
[drm] writeback test succeeded in 1 usecs
[drm] Resetting GPU
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
mtrr: type mismatch for c0000000,10000000 old: write-back new: write-combining
[drm] Setting GART location based on new memory map
[drm] Loading RV710 PFP Microcode
[drm] Loading RV710 CP Microcode
[drm] Resetting GPU
[drm] writeback test succeeded in 1 usecs


ein update auf die xf86-video-ati testing treiber hat auch nicht geholfen und mit den radeonhd-treibern hatte ich identische probleme.

ich hoffe jemand kann helfen.


Last edited by andi_s on Sun Apr 25, 2010 4:34 pm; edited 2 times in total
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1792
Location: Oranienburg/Germany

PostPosted: Tue Apr 20, 2010 10:12 am    Post subject: Reply with quote

Hi,

wie sieht denn deine Kernelkonfiguration aus. Hast du KMS aktiviert. Welche Atikarte hast du denn verbaut?

MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Tue Apr 20, 2010 11:13 am    Post subject: Reply with quote

hi,

also ich habe kernel 2.6.31-gentoo-r10 (amd64) am laufen - soweit ich weiss gibt es KMS erst ab 2.6.32
ansonsten habe ich die kernel einstellungen entsprechend der migration guide aktiviert. dann habe ich noch framebuffer->ati-radeon aktiviert. testweise hab ich FB mal deaktiviert, aber danach blieb bei startx der bildschirm komplett schwarz. in der xorg.log gibt es uebrigens keine fehlermeldungen.

zur grafikkarte: lspci zeigt mir das an
Code:

01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4550]


ich bin hier im moment an meinem langsamen rechner - ich werde nachher auf meinem schnellen rechner nochmal versuchen alle X-treiber neu zu mergen - vielleicht hilft das ja.
Back to top
View user's profile Send private message
boris64
Veteran
Veteran


Joined: 04 Oct 2003
Posts: 1770
Location: vechelde / peine

PostPosted: Tue Apr 20, 2010 12:00 pm    Post subject: Reply with quote

andi_s wrote:
hi,

also ich habe kernel 2.6.31-gentoo-r10 (amd64) am laufen - soweit ich weiss gibt es KMS erst ab 2.6.32
ansonsten habe ich die kernel einstellungen entsprechend der migration guide aktiviert. dann habe ich noch framebuffer->ati-radeon aktiviert. testweise hab ich FB mal deaktiviert, aber danach blieb bei startx der bildschirm komplett schwarz. in der xorg.log gibt es uebrigens keine fehlermeldungen.

Ich würde dir erstmal einen aktuellen Kernel ans Herz legen (v2.6.33.2),
denn gerade da hat sich seit deinem derzeitigen Kernel 'ne Menge getan.
Wenn du KMS nutzen würdest, sparst du dir eine Menge Hickhack mit
dem Framebuffer(den man dann im Kernel sowieso komplett deaktivieren sollte).

Ich weiß leider nicht, wie weit die Versionen von xf86-video-ati/mesa/libdrm
aus dem Stable-/Unstable-Repository sind, ich benutze nur noch die
9999-Versionen aus dem x11-Overlay (die richtig prima funktionieren!).

Da du eine neuere Radeon4xxx-Karte benutzt, solltest du noch das Paket
x11-drivers/radeon-ucode (Radeon-Firmware für KMS) installieren.
_________________
boris64.net 200x / visit my desktop / try these tiny kernel patches ;)
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1792
Location: Oranienburg/Germany

PostPosted: Tue Apr 20, 2010 12:27 pm    Post subject: Reply with quote

Hi,

ich hab Kernel 2.6.33.1 am laufen zusammen mit den ~arch x11-drivers ohne Overlay und die funktionieren perfekt. Compiz + Gnome auch kein Problem, und ich nutze die Karte aus meine Signatur (HD4850).

MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Tue Apr 20, 2010 5:47 pm    Post subject: Reply with quote

tja, also kernel 2.6.32-r7 == complete fail

ich habe .32-r7 sowohl mit meiner alten (2.6.31) kernel-.config als auch mit KMS getestet und beide male wurde der bildschirm schon mitten in der bootsequenz einfach schwarz. mein system ist so eingestellt, das X nicht automatisch startet (das mache ich immer per startx). also ich komme nichtmal bist zum login in der console. zum glueck funktioniert der ACPI shutdown, wenn ich den powerbutton druecke - also irgendwie scheint das system normal zu laufen - nur eben ohne bildschirm (ich habe auch mal testweise von dvi auf sub-d umgesteckt und dann an die dvi/subd von der onboard-intel grafikkarte... blieb alles schwarz) in den logs habe ich auch nichts auffaelliges gefunden.

@bbgermany
amd64? gentoo-sources? oder welchen kernel?

naja, ich werde nun nochmal 2.6.33 testen :cry:
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1792
Location: Oranienburg/Germany

PostPosted: Tue Apr 20, 2010 6:20 pm    Post subject: Reply with quote

Hi,

folgendes kann ich dazu nennen:

Code:

walther@apollo ~ $ uname -a
Linux apollo 2.6.33-gentoo-r1 #1 SMP Fri Apr 16 21:40:45 CEST 2010 x86_64 Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz GenuineIntel GNU/Linux
walther@apollo ~ $


Kernelkonfiguration hinsichtlich Radeon KMS
Code:

CONFIG_DRM=y
CONFIG_DRM_KMS_HELPER=y
CONFIG_DRM_TTM=y
CONFIG_DRM_RADEON=y
CONFIG_DRM_RADEON_KMS=y
CONFIG_FIRMWARE_IN_KERNEL=y
CONFIG_EXTRA_FIRMWARE="radeon/R600_rlc.bin radeon/R700_rlc.bin"
CONFIG_EXTRA_FIRMWARE_DIR="/lib/firmware"


Und die nötigen Pakete:

Code:

walther@apollo ~ $ eix radeon
* app-laptop/radeontool
     Available versions:  1.5-r3 ~1.6.0
     Homepage:            http://cgit.freedesktop.org/~airlied/radeontool/
     Description:         Manage the backlight, external video output and registers of ATI Radeon graphics cards

[I] x11-drivers/radeon-ucode
     Available versions:  (~)20091209 (~)20100408
     Installed versions:  20100408(21:14:53 16.04.2010)
     Homepage:            http://people.freedesktop.org/~agd5f/radeon_ucode/
     Description:         IRQ microcode for r6xx/r7xx/Evergreen Radeon GPUs

[I] x11-drivers/xf86-video-radeonhd
     Available versions:  1.2.3 (~)1.2.4 1.2.5 1.3.0 {debug}
     Installed versions:  1.3.0(21:16:13 16.04.2010)(-debug)
     Homepage:            http://wiki.x.org/wiki/radeonhd
     Description:         Experimental Radeon HD video driver.

3 Treffer.
walther@apollo ~ $


MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Wed Apr 21, 2010 8:47 am    Post subject: Reply with quote

hallo,

@bbgermany
ich denke der schwarze bildschirm lag an der fehlenden firmware-einstellung, dank deiner infos bin ich nun ein stueckchen weiter, d.h. booten unter .33-r1 funktioniert nun auch mit aktiviertem KMS. (vermutlich auch mit dem .32 kernel, wenn man nicht vergisst die firmware einzubinden, aber ich bleibe nun bei .33-r1)

die grafikfehler treten auch nicht mehr auf, glxgears funktioniert ebenfalls (wenn auch nur mit 1/5 der speed von fglrx) jetzt muss ich noch compiz testen.

achso, eine frage noch am rande:
nun wird die aufloesung schon beim booten auf das maximum eingestellt (in meinem fall 1680x1050) was mir fuer die console zu hoch ist, wenn mir jemand auf die schnelle sagen kann wo ich das auf eine niedrigere aufloesung einstellen kann, dann waere ich dankbar.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Apr 21, 2010 12:31 pm    Post subject: Reply with quote

andi_s wrote:

achso, eine frage noch am rande:
nun wird die aufloesung schon beim booten auf das maximum eingestellt (in meinem fall 1680x1050) was mir fuer die console zu hoch ist, wenn mir jemand auf die schnelle sagen kann wo ich das auf eine niedrigere aufloesung einstellen kann, dann waere ich dankbar.


das kann man - soviel ich weiß - momentan noch nicht einstellen, da eine "Konfigurationsänderung" / Änderung der Auflösung noch nicht implementiert ist ...

viel Glück mit compiz ! :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 21, 2010 3:26 pm    Post subject: Reply with quote

kernelOfTruth wrote:
andi_s wrote:

achso, eine frage noch am rande:
nun wird die aufloesung schon beim booten auf das maximum eingestellt (in meinem fall 1680x1050) was mir fuer die console zu hoch ist, wenn mir jemand auf die schnelle sagen kann wo ich das auf eine niedrigere aufloesung einstellen kann, dann waere ich dankbar.


das kann man - soviel ich weiß - momentan noch nicht einstellen, da eine "Konfigurationsänderung" / Änderung der Auflösung noch nicht implementiert ist ...

viel Glück mit compiz ! :)

Wenn, dann könnte es so gehen:
Quote:
Framebuffer

Der Kernelparameter vga wird unter KMS nicht mehr benötigt und sollte entfernt werden. Der Framebuffer wird mit dem Parameter video konfiguriert, der auch schon bisher für andere Frambuffertreiber wie nvidiafb oder radeonfb verwendet wurde. Er nimmt als Parameter einen Monitoranschluss und eine Auflösung entgegen. Wird nur eine Auflösung angegeben, gilt diese für alle angeschlossenen Geräte.
Code:
video=<Monitor1>:<Auflösung>,<Monitor2>:<Auflösung>
Beispiel:
Code:
video=LVDS-1:1024x768
Quelle: https://wiki.archlinux.de/title/KMS
(Ungetestet)
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Thu Apr 22, 2010 8:48 am    Post subject: Reply with quote

@Josef.95
video= definieren funktioniert, wenn man eine andere aufloesung fuer die console haben moechte - danke

mit compiz habe ich diverse probleme:

Code:

# equery l compiz
[ Searching for package 'compiz' in all categories among: ]
 * installed packages
[I--] [ ~] dev-python/compizconfig-python-0.8.4-r1 (0)
[I--] [ ~] x11-libs/compiz-bcop-0.8.4 (0)
[I--] [ ~] x11-libs/libcompizconfig-0.8.4-r1 (0)
[I--] [ ~] x11-plugins/compiz-plugins-extra-0.8.6 (0)
[I--] [ ~] x11-plugins/compiz-plugins-main-0.8.6 (0)
[I--] [ ~] x11-wm/compiz-0.8.6 (0)
[I--] [ ~] x11-wm/compiz-fusion-0.8.6 (0)

# compiz --debug --replace
compiz (core) - Debug: Could not stat() file /root/.compiz/plugins/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /root/.compiz/plugins/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file libyes.so : No such file or directory
compiz (core) - Error: Couldn't load plugin 'yes'
WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX 1.3 is not supported!  This is an application bug!


interessant das die benötigten libs nicht gefunden werden (bug!?)
ich habe dazu diesen thread gefunden: https://forums.gentoo.org/viewtopic-t-779093-postdays-0-postorder-asc-start-25.html

das hat mir aber alles nicht weitergeholfen zumal sich dort auch auf aeltere versionen bezogen wird...
ansonsten habe ich alles was laut gentoo-wiki zu compiz gehoert nochmal neu emerged

bei einer abhaengigkeit gibt es auch eine fehlermeldung, wobei ich natuerlich nicht sagen kann, ob es daran liegt:
Code:

# emerge protobuf

...
warning: build_py: byte-compiling is disabled, skipping.
/tmp/portage/dev-libs/protobuf-2.3.0/work/protobuf-2.3.0
 * Compiling Java library ...
/tmp/portage/dev-libs/protobuf-2.3.0/work/protobuf-2.3.0/java/src/main/java /tmp/portage/dev-libs/protobuf-2.3.0/work/protobuf-2.3.0
* javac is not available for sun-jre-bin-1.6 on x86_64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 * ERROR: dev-libs/protobuf-2.3.0 failed:
 *   ejavac failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 6288:  Called ejavac '-d' '../../../build' './com/google/protobuf/DescriptorProtos.java' './com/google/protobuf/ExtensionRegistry.java' './com/google/protobuf/RpcCallback.java' './com/google/protobuf/ProtocolMessageEnum.java' './com/google/protobuf/MessageLite.java' './com/google/protobuf/GeneratedMessageLite.java' './com/google/protobuf/ExtensionRegistryLite.java' './com/google/protobuf/DynamicMessage.java' './com/google/protobuf/TextFormat.java' './com/google/protobuf/ServiceException.java' './com/google/protobuf/Descriptors.java' './com/google/protobuf/BlockingService.java' './com/google/protobuf/GeneratedMessage.java' './com/google/protobuf/BlockingRpcChannel.java' './com/google/protobuf/Internal.java' './com/google/protobuf/ByteString.java' './com/google/protobuf/RpcController.java' './com/google/protobuf/UnknownFieldSet.java' './com/google/protobuf/CodedOutputStream.java' './com/google/protobuf/CodedInputStream.java' './com/google/protobuf/FieldSet.java' './com/google/protobuf/Message.java' './com/google/protobuf/AbstractMessage.java' './com/google/protobuf/InvalidProtocolBufferException.java' './com/google/protobuf/WireFormat.java' './com/google/protobuf/RpcChannel.java' './com/google/protobuf/AbstractMessageLite.java' './com/google/protobuf/RpcUtil.java' './com/google/protobuf/UninitializedMessageException.java' './com/google/protobuf/Service.java'
 *   environment, line 1663:  Called die
 * The specific snippet of code:
 *       ${compiler_executable} ${javac_args} "${@}" || die "ejavac failed"
 *
 * If you need support, post the output of 'emerge --info =dev-libs/protobuf-2.3.0',
 * the complete build log and the output of 'emerge -pqv =dev-libs/protobuf-2.3.0'.
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/etc/java-config-2/current-system-vm"
JAVACFLAGS="" COMPILER="javac"
and of course, the output of emerge --info
 * The complete build log is located at '/tmp/portage/dev-libs/protobuf-2.3.0/temp/build.log'.
 * The ebuild environment file is located at '/tmp/portage/dev-libs/protobuf-2.3.0/temp/environment'.
 * S: '/tmp/portage/dev-libs/protobuf-2.3.0/work/protobuf-2.3.0'


Code:

JAVA_HOME=/etc/java-config-2/current-system-vm
JAVAC=/etc/java-config-2/current-system-vm/bin/javac
JDK_HOME=/etc/java-config-2/current-system-vm
JAVACC_HOME=/usr/share/javacc/

# equery l java
[ Searching for package 'java' in all categories among: ]
 * installed packages
[I--] [  ] dev-java/ant-javamail-1.7.1 (0)
[I--] [  ] dev-java/java-config-2.1.10 (2)
[I--] [  ] dev-java/java-config-wrapper-0.16 (0)
[I--] [  ] dev-java/java-getopt-1.0.13 (1)
[I--] [  ] dev-java/javacc-4.0-r4 (0)
[I--] [  ] dev-java/javacup-0.10k-r1 (0)
[I--] [  ] dev-java/javatoolkit-0.3.0-r3 (0)
[I--] [  ] dev-java/libreadline-java-0.8.0-r2 (0)
[I--] [  ] dev-java/sun-javamail-1.4.1 (0)
[I--] [  ] dev-java/xjavac-20041208-r5 (1)
[I--] [  ] java-virtuals/javamail-1.0-r1 (0)

# eselect java-vm list
Available Java Virtual Machines:
  [1]   icedtea6-bin
  [2]   sun-jdk-1.5
  [3]   sun-jre-bin-1.6  system-vm

!!! Warning: VMs marked as Build Only may contain Security Vulnerabilities and/or be EOL.
!!! Warning: Gentoo recommends not setting these VMs as either your System or User VM.
!!! Warning: Please see http://www.gentoo.org/doc/en/java.xml#build-only for more information.

Back to top
View user's profile Send private message
schachti
Advocate
Advocate


Joined: 28 Jul 2003
Posts: 3765
Location: Gifhorn, Germany

PostPosted: Sat Apr 24, 2010 6:02 am    Post subject: Reply with quote

andi_s wrote:

Code:

* javac is not available for sun-jre-bin-1.6 on x86_64



Die Java-Runtimes enthalten keinen Java-Compiler, da musst Du schon das Java-JDK installieren.
_________________
Never argue with an idiot. He brings you down to his level, then beats you with experience.

How-To: Daten verschlüsselt auf DVD speichern.
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 226
Location: Germany

PostPosted: Sun Apr 25, 2010 4:02 pm    Post subject: Reply with quote

danke, java-jdk war schon installiert, aber nicht als default VM gesetzt
nun konnte ich protobuff emergen.

inzwischen habe ich auch das compiz-problem beheben koennen:

ich habe nun alles was zu compiz gehoert (laut gentoo-wiki und dem o.g. thread) auf 0.8.4 downgraded und neu emerged. interessant ist das ein 'compiz --replace' emerald scheinbar nicht startet (keine fenstertitel etc.) ein 'compiz-manager --replace' dagegen schon.

uff ;)
Back to top
View user's profile Send private message
69719
l33t
l33t


Joined: 20 Sep 2004
Posts: 865

PostPosted: Thu Apr 29, 2010 9:36 pm    Post subject: Reply with quote

Du hättest auch auf ati-drivers-8.721 umstellen können, das ist ein pre-release, der wohl 10.4 wird und mit dem xorg 1.7 läuft.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Apr 30, 2010 10:18 am    Post subject: Reply with quote

catalyst 10.4 is raus und unterstützt auch xorg-server 1.7 ! (mit ein bißchen patchen wohl auch 1.8), die Unterstützung von kerneln geht mit patch bis 2.6.34-rc* (wahrscheinlich auch der final 2.6.34)

also durchaus ein interessantes Release

würde compositing und 3D problemlos bei mir laufen ;)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
69719
l33t
l33t


Joined: 20 Sep 2004
Posts: 865

PostPosted: Fri Apr 30, 2010 12:15 pm    Post subject: Reply with quote

kernelOfTruth wrote:
catalyst 10.4 is raus und unterstützt auch xorg-server 1.7 ! (mit ein bißchen patchen wohl auch 1.8), die Unterstützung von kerneln geht mit patch bis 2.6.34-rc* (wahrscheinlich auch der final 2.6.34)

also durchaus ein interessantes Release

würde compositing und 3D problemlos bei mir laufen ;)

Danke für den Tip! Gestern war er noch nicht drin.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum